# security | MatterLinux security tracker
Soruce code of MatterLinux's security tracker, located at
[security.matterlinux.xyz](https://security.matterlinux.xyz)

### Deployment
Web server can be built and deployed with docker compose, here is an
example configuration:
```yaml
version: "3"

services:
  security:
    image: mattersecurity
    restart: unless-stopped
    build:
      context: ./
    ports:
      - "127.0.0.1:9876:9876"
    volumes:
      - "./db:/app/db"
```
After saving the configuration file, you can build and run the docker container:
```bash
docker-compose up -d
```

### Adding users
After running the application at least once, you can users using
the `adduser.sh` script. This script will add the specified user with a
randomly generated passwords to the sqlite database. For example:
```bash
./adduser.sh ngn
```
